RDCode: ForceFields::UFF::AtomicParams Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# ForceFields::UFF::AtomicParams Class Reference

class to store atomic parameters for the Universal Force Field More...

`#include <Params.h>`

List of all members.

## Public Attributes
double | r1
| valence bond radius
double | theta0
| valence angle
double | x1
| vdW characteristic length
double | D1
| vdW atomic energy
double | zeta
| vdW scaling term
double | Z1
| effective charge
double | V1
| sp3 torsional barrier parameter
double | U1
| torsional contribution for sp2-sp3 bonds
double | GMP_Xi
| GMP Electronegativity;.
double | GMP_Hardness
| GMP Hardness.
double | GMP_Radius
| GMP Radius value.

## Detailed Description

class to store atomic parameters for the Universal Force Field

Definition at line 16 of file Params.h.

## Member Data Documentation

double ForceFields::UFF::AtomicParams::r1

valence bond radius

Definition at line 18 of file Params.h.

double ForceFields::UFF::AtomicParams::theta0

valence angle

Definition at line 19 of file Params.h.

double ForceFields::UFF::AtomicParams::x1

vdW characteristic length

Definition at line 20 of file Params.h.

double ForceFields::UFF::AtomicParams::D1

vdW atomic energy

Definition at line 21 of file Params.h.

double ForceFields::UFF::AtomicParams::zeta

vdW scaling term

Definition at line 22 of file Params.h.

double ForceFields::UFF::AtomicParams::Z1

effective charge

Definition at line 23 of file Params.h.

double ForceFields::UFF::AtomicParams::V1

sp3 torsional barrier parameter

Definition at line 24 of file Params.h.

double ForceFields::UFF::AtomicParams::U1

torsional contribution for sp2-sp3 bonds

Definition at line 25 of file Params.h.

double ForceFields::UFF::AtomicParams::GMP_Xi

GMP Electronegativity;.

Definition at line 26 of file Params.h.

double ForceFields::UFF::AtomicParams::GMP_Hardness

GMP Hardness.

Definition at line 27 of file Params.h.

double ForceFields::UFF::AtomicParams::GMP_Radius

GMP Radius value.

Definition at line 28 of file Params.h.

The documentation for this class was generated from the following file:

- Params.h